# tactile.proprio-evoked_DCN_potentials

Machine learning of dorsal column nuclei surface potentials evoked by tactile- and proprioceptive-dominated mechanical stimuli (rat data set).


Raw data organisation is schematically described in the pdf document: data_arrangement.pdf

Extracted features from raw data (for machine learning) is described as follows: 

* Each row is 1 feature. There are 28 features x 7 electrodes = 196
* Below the rows of inputs is the 16 output targets in rows 197-212
* Each column is a trial
* labels for each row are found in the first two columns

Data are contained in .mat files. 

For importing to a Python dictionary, see:

https://github.com/wblakecannon/DataCamp/blob/master/05-importing-data-in-python-(part-1)/2-importing-data-from-other-files-types/the-structure-of-mat-in-python.py

https://towardsdatascience.com/how-to-load-matlab-mat-files-in-python-1f200e1287b5

For importing to Julia, see:

https://github.com/JuliaIO/MAT.jl


